Bug 224027 - No way of using NAT-Keepalive packets with NM-vpnc
Summary: No way of using NAT-Keepalive packets with NM-vpnc
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 18:31 UTC by David Juran
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-18 08:27:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Juran 2007-01-23 18:31:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
vpnc has the ability of sending out NAT keepalive packets at specified intervals. With vpnc, this interval can be specified using the command-line option '--nat-keepalive <Seconds>' or in the configuration file by setting 'NAT-Keepalive packet interval <Seconds>' The default however is not to send out these packets which causes vpnc to loose it's connection when running through certain NAT:s
  When using vpnc through NetworkManager however, there is no way of activating this feature. Could this be added as a configuration option or is there some default value that is reasonable? Through empiric testing I found that 45 seconds works well for me, but other NAT:s might behave differently....


Version-Release number of selected component (if applicable):
NetworkManager-vpnc-0.7.0-0.cvs20061204.fc6

How reproducible:
Always


Steps to Reproduce:
1. N/A


Actual Results:


Expected Results:


Additional info:

Comment 1 Stefan Becker 2007-02-16 17:07:51 UTC
Incidentally this version (0.7.0) supports NAT Keepalive and Rekeying interval.
You have to use gconf-editor to add them by hand to

 /system/networking/vpn_connections/<CONNECTION>/vpn_data
    Rekeying interval
    <interval in seconds>
    NAT-Keepalive packet interval
    <interval in seconds>

This bug should be closed?

BUT: See bug #229029 for the latest version...

Comment 2 Denis Leroy 2007-02-18 08:27:19 UTC
Indeed. I'll look into making this option available from the GUI. Closing for now.



Note You need to log in before you can comment on or make changes to this bug.